Ask about API capabilities
curl --request POST \
--url https://api.interchange.io/mcp/v2/buyer/ask-about-capability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'mcp-session-id: <mcp-session-id>' \
--data '
{
"jsonrpc": "2.0",
"id": 4,
"method": "tools/call",
"params": {
"name": "ask_about_capability",
"arguments": {
"question": "How do I create a campaign?"
}
}
}
'import requests
url = "https://api.interchange.io/mcp/v2/buyer/ask-about-capability"
payload = {
"jsonrpc": "2.0",
"id": 4,
"method": "tools/call",
"params": {
"name": "ask_about_capability",
"arguments": { "question": "How do I create a campaign?" }
}
}
headers = {
"mcp-session-id": "<mcp-session-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'mcp-session-id': '<mcp-session-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
jsonrpc: '2.0',
id: 4,
method: 'tools/call',
params: {
name: 'ask_about_capability',
arguments: {question: 'How do I create a campaign?'}
}
})
};
fetch('https://api.interchange.io/mcp/v2/buyer/ask-about-capability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jsonrpc": "2.0",
"id": "<string>",
"result": {
"content": [
{
"type": "text",
"text": "<string>"
}
]
}
}MCP
Ask about API capabilities
Learn about Buyer API features and capabilities using natural language questions.
This tool helps AI agents understand what the API can do without needing to read documentation.
Parameters
question: A natural language question about API capabilities
Example Questions
- “How do I create a campaign?”
- “What can I configure on a campaign?”
- “What authentication is required?”
Example Request
{
"jsonrpc": "2.0",
"id": 4,
"method": "tools/call",
"params": {
"name": "ask_about_capability",
"arguments": {
"question": "How do I create a campaign?"
}
}
}
Example Response
{
"jsonrpc": "2.0",
"id": 4,
"result": {
"content": [
{
"type": "text",
"text": "To create a campaign, use POST /campaigns with..."
}
]
}
}
POST
/
ask-about-capability
Ask about API capabilities
curl --request POST \
--url https://api.interchange.io/mcp/v2/buyer/ask-about-capability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'mcp-session-id: <mcp-session-id>' \
--data '
{
"jsonrpc": "2.0",
"id": 4,
"method": "tools/call",
"params": {
"name": "ask_about_capability",
"arguments": {
"question": "How do I create a campaign?"
}
}
}
'import requests
url = "https://api.interchange.io/mcp/v2/buyer/ask-about-capability"
payload = {
"jsonrpc": "2.0",
"id": 4,
"method": "tools/call",
"params": {
"name": "ask_about_capability",
"arguments": { "question": "How do I create a campaign?" }
}
}
headers = {
"mcp-session-id": "<mcp-session-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'mcp-session-id': '<mcp-session-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
jsonrpc: '2.0',
id: 4,
method: 'tools/call',
params: {
name: 'ask_about_capability',
arguments: {question: 'How do I create a campaign?'}
}
})
};
fetch('https://api.interchange.io/mcp/v2/buyer/ask-about-capability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"jsonrpc": "2.0",
"id": "<string>",
"result": {
"content": [
{
"type": "text",
"text": "<string>"
}
]
}
}Authorizations
API key or access token
Headers
MCP session identifier from the initialize call.
Body
application/json